> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve patient profile by username

> Retrieves patient profile using username in a workspace.




## OpenAPI

````yaml get /profiles/v1/patient/{username}/username/?flatten=true
openapi: 3.0.3
info:
  title: Patient APIs
  description: Patient Directory CRUD
  version: 1.0.0
servers:
  - url: https://api.eka.care
security: []
paths:
  /profiles/v1/patient/{username}/username/?flatten=true:
    get:
      summary: Retrieve patient profile by username
      description: |
        Retrieves patient profile using username in a workspace.
      parameters:
        - in: header
          name: client-id
          required: true
          schema:
            type: string
            example: eka-doc
        - in: path
          name: username
          required: true
          schema:
            type: string
            example: exampleusername
      responses:
        '200':
          description: Patient profile details
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PatientProfile'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
      security:
        - bearerAuth: []
components:
  schemas:
    PatientProfile:
      type: object
      properties:
        oid:
          type: string
          example: '175074536120088'
        wid:
          type: string
          example: '77088166996724'
        ps:
          type: string
          example: P
        c_ate:
          type: integer
          example: 1750745358
        u_ate:
          type: integer
          example: 1750745358
        gen:
          type: string
          example: M
        dob:
          type: string
          format: date
          example: '2000-01-02'
        is_age:
          type: boolean
          example: true
        fn:
          type: string
          example: Eka
        ln:
          type: string
          example: User
        fln:
          type: string
          example: Eka User
        bg:
          type: string
          example: B+
        mobile:
          type: string
          example: '1201201201'
        ccd:
          type: string
          example: '+91'
        email:
          type: string
          format: email
          example: eka.user@example.com
        username:
          type: string
          example: ABC001
        s:
          type: string
          example: Mr.
        abha:
          type: string
          example: example@abdm
    404Error:
      type: object
      properties:
        message:
          type: string
          example: Not found
        code:
          type: string
          example: profile_not_found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````